1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17srcdir = @srcdir@
18top_srcdir = @top_srcdir@
19VPATH = @srcdir@
20pkgdatadir = $(datadir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23top_builddir = .
24am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25INSTALL = @INSTALL@
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37EXTRA_PROGRAMS =
38sbin_PROGRAMS = pptpd$(EXEEXT) pptpctrl$(EXEEXT) bcrelay$(EXEEXT)
39subdir = .
40DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
41	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
42	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
43	TODO acconfig.h install-sh missing mkinstalldirs
44ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45am__aclocal_m4_deps = $(top_srcdir)/configure.in
46am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
47	$(ACLOCAL_M4)
48am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
49 configure.lineno configure.status.lineno
50mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
51CONFIG_HEADER = config.h
52CONFIG_CLEAN_FILES =
53am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
54	"$(DESTDIR)$(man8dir)"
55sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
56PROGRAMS = $(sbin_PROGRAMS)
57am_bcrelay_OBJECTS = bcrelay.$(OBJEXT)
58bcrelay_OBJECTS = $(am_bcrelay_OBJECTS)
59bcrelay_LDADD = $(LDADD)
60am_pptpctrl_OBJECTS = pqueue.$(OBJEXT) pptpctrl.$(OBJEXT) \
61	ctrlpacket.$(OBJEXT) inststr.$(OBJEXT) compat.$(OBJEXT) \
62	pptpgre.$(OBJEXT) ppphdlc.$(OBJEXT)
63pptpctrl_OBJECTS = $(am_pptpctrl_OBJECTS)
64am__DEPENDENCIES_1 =
65pptpctrl_DEPENDENCIES = $(am__DEPENDENCIES_1)
66am_pptpd_OBJECTS = pqueue.$(OBJEXT) pptpd.$(OBJEXT) \
67	configfile.$(OBJEXT) pptpmanager.$(OBJEXT) compat.$(OBJEXT) \
68	inststr.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
69pptpd_OBJECTS = $(am_pptpd_OBJECTS)
70pptpd_DEPENDENCIES = $(am__DEPENDENCIES_1)
71DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
72depcomp =
73am__depfiles_maybe =
74COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
75	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
76CCLD = $(CC)
77LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
78SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
79DIST_SOURCES = $(bcrelay_SOURCES) $(pptpctrl_SOURCES) $(pptpd_SOURCES)
80man5dir = $(mandir)/man5
81man8dir = $(mandir)/man8
82NROFF = nroff
83MANS = $(man_MANS)
84ETAGS = etags
85CTAGS = ctags
86DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
87distdir = $(PACKAGE)-$(VERSION)
88top_distdir = $(distdir)
89am__remove_distdir = \
90  { test ! -d $(distdir) \
91    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
92         && rm -fr $(distdir); }; }
93DIST_ARCHIVES = $(distdir).tar.gz
94GZIP_ENV = --best
95distuninstallcheck_listfiles = find . -type f -print
96distcleancheck_listfiles = find . -type f -print
97ACLOCAL = @ACLOCAL@
98AMDEP_FALSE = @AMDEP_FALSE@
99AMDEP_TRUE = @AMDEP_TRUE@
100AMTAR = @AMTAR@
101AUTOCONF = @AUTOCONF@
102AUTOHEADER = @AUTOHEADER@
103AUTOMAKE = @AUTOMAKE@
104AWK = @AWK@
105CC = @CC@
106CCDEPMODE = @CCDEPMODE@
107CFLAGS = -O2 -fno-builtin -Wall -DSBINDIR='"$(sbindir)"'
108CPP = @CPP@
109CPPFLAGS = @CPPFLAGS@
110CYGPATH_W = @CYGPATH_W@
111DEFS = @DEFS@
112DEPDIR = @DEPDIR@
113ECHO_C = @ECHO_C@
114ECHO_N = @ECHO_N@
115ECHO_T = @ECHO_T@
116EGREP = @EGREP@
117EXEEXT = @EXEEXT@
118GREP = @GREP@
119HAVE_OPENPTY = @HAVE_OPENPTY@
120INSTALL_DATA = @INSTALL_DATA@
121INSTALL_PROGRAM = @INSTALL_PROGRAM@
122INSTALL_SCRIPT = @INSTALL_SCRIPT@
123INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
124LDFLAGS = @LDFLAGS@
125LIBOBJS = @LIBOBJS@
126LIBS = @LIBS@
127LN_S = @LN_S@
128LTLIBOBJS = @LTLIBOBJS@
129MAKEINFO = @MAKEINFO@
130OBJEXT = @OBJEXT@
131PACKAGE = @PACKAGE@
132PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
133PACKAGE_NAME = @PACKAGE_NAME@
134PACKAGE_STRING = @PACKAGE_STRING@
135PACKAGE_TARNAME = @PACKAGE_TARNAME@
136PACKAGE_VERSION = @PACKAGE_VERSION@
137PATH_SEPARATOR = @PATH_SEPARATOR@
138RANLIB = @RANLIB@
139SET_MAKE = @SET_MAKE@
140SHELL = @SHELL@
141STRIP = @STRIP@
142VERSION = @VERSION@
143XTRALIBS_CTRL = @XTRALIBS_CTRL@
144XTRALIBS_MGR = @XTRALIBS_MGR@
145XTRA_PROG = @XTRA_PROG@
146ac_ct_CC = @ac_ct_CC@
147am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
148am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
149am__include = @am__include@
150am__leading_dot = @am__leading_dot@
151am__quote = @am__quote@
152am__tar = @am__tar@
153am__untar = @am__untar@
154bindir = @bindir@
155build_alias = @build_alias@
156datadir = @datadir@
157datarootdir = @datarootdir@
158docdir = @docdir@
159dvidir = @dvidir@
160exec_prefix = @exec_prefix@
161host_alias = @host_alias@
162htmldir = @htmldir@
163includedir = @includedir@
164infodir = @infodir@
165install_sh = @install_sh@
166libdir = @libdir@
167libexecdir = @libexecdir@
168localedir = @localedir@
169localstatedir = @localstatedir@
170mandir = @mandir@
171mkdir_p = @mkdir_p@
172oldincludedir = @oldincludedir@
173pdfdir = @pdfdir@
174prefix = @prefix@
175program_transform_name = @program_transform_name@
176psdir = @psdir@
177sbindir = @sbindir@
178sharedstatedir = @sharedstatedir@
179sysconfdir = @sysconfdir@
180target_alias = @target_alias@
181
182# We have our own, simpler dependencies stuff in 'reconf'
183AUTOMAKE_OPTIONS = no-dependencies foreign
184INCLUDES = -I.
185#CFLAGS = -O2 -fno-builtin -Wall -ansi -DSBINDIR='"$(sbindir)"'
186#CFLAGS = -O2 -fno-builtin -Wall -ansi -pedantic -Wmissing-prototypes -Werror -DSBINDIR='"$(sbindir)"'
187man_MANS = pptpctrl.8 pptpd.8 pptpd.conf.5
188EXTRA_DIST = \
189html README* ChangeLog NEWS TODO $(man_MANS) \
190samples/chap-secrets samples/options.pptpd samples/pptpd.conf \
191Makefile.uClinux config.embed.h version reconf \
192tools/pptp-portslave tools/vpnstats tools/vpnstats.pl tools/vpnuser \
193pptpd.init pptpd.spec makepackage \
194plugins/Makefile plugins/*.h plugins/*.c \
195debian/README.debian debian/changelog debian/conffiles debian/config \
196debian/control debian/copyright debian/dirs debian/docs \
197debian/examples debian/pptpd-options debian/pptpd.conf \
198debian/pptpd.init debian/pptpdconfig.pl debian/rules debian/templates \
199debian/po/POTFILES.in debian/po/fr.po debian/po/pt_BR.po \
200debian/po/templates.pot
201
202
203# Header files are only used to determine what to put in a distribution, not
204# for dependencies, so just attribute them all to pptpd.
205pptpd_SOURCES = \
206	 pqueue.c pptpd.c configfile.c pptpmanager.c compat.c inststr.c getopt.c getopt1.c \
207	pqueue.h compat.h configfile.h ctrlpacket.h defaults.h inststr.h our_getopt.h \
208	our_syslog.h ppphdlc.h pptpctrl.h pptpdefs.h pptpgre.h pptpmanager.h
209
210pptpctrl_SOURCES = \
211	pqueue.c pptpctrl.c ctrlpacket.c inststr.c compat.c pptpgre.c ppphdlc.c
212
213pptpd_LDADD = $(XTRALIBS_MGR)
214pptpctrl_LDADD = $(XTRALIBS_CTRL)
215bcrelay_SOURCES = bcrelay.c defaults.h our_syslog.h our_getopt.h
216subdirs = plugins
217all: config.h
218	$(MAKE) $(AM_MAKEFLAGS) all-am
219
220.SUFFIXES:
221.SUFFIXES: .c .o .obj
222am--refresh:
223	@:
224$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
225	@for dep in $?; do \
226	  case '$(am__configure_deps)' in \
227	    *$$dep*) \
228	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
229	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
230		&& exit 0; \
231	      exit 1;; \
232	  esac; \
233	done; \
234	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
235	cd $(top_srcdir) && \
236	  $(AUTOMAKE) --foreign  Makefile
237.PRECIOUS: Makefile
238Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
239	@case '$?' in \
240	  *config.status*) \
241	    echo ' $(SHELL) ./config.status'; \
242	    $(SHELL) ./config.status;; \
243	  *) \
244	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
245	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
246	esac;
247
248$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
249	$(SHELL) ./config.status --recheck
250
251$(top_srcdir)/configure:  $(am__configure_deps)
252	cd $(srcdir) && $(AUTOCONF)
253$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
254	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
255
256config.h: stamp-h1
257	@if test ! -f $@; then \
258	  rm -f stamp-h1; \
259	  $(MAKE) stamp-h1; \
260	else :; fi
261
262stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
263	@rm -f stamp-h1
264	cd $(top_builddir) && $(SHELL) ./config.status config.h
265$(srcdir)/config.h.in:  $(am__configure_deps) $(top_srcdir)/acconfig.h
266	cd $(top_srcdir) && $(AUTOHEADER)
267	rm -f stamp-h1
268	touch $@
269
270distclean-hdr:
271	-rm -f config.h stamp-h1
272install-sbinPROGRAMS: $(sbin_PROGRAMS)
273	@$(NORMAL_INSTALL)
274	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
275	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
276	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
277	  if test -f $$p \
278	  ; then \
279	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
280	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
281	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
282	  else :; fi; \
283	done
284
285uninstall-sbinPROGRAMS:
286	@$(NORMAL_UNINSTALL)
287	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
288	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
289	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
290	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
291	done
292
293clean-sbinPROGRAMS:
294	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
295bcrelay$(EXEEXT): $(bcrelay_OBJECTS) $(bcrelay_DEPENDENCIES) 
296	@rm -f bcrelay$(EXEEXT)
297	$(LINK) $(bcrelay_LDFLAGS) $(bcrelay_OBJECTS) $(bcrelay_LDADD) $(LIBS)
298pptpctrl$(EXEEXT): $(pptpctrl_OBJECTS) $(pptpctrl_DEPENDENCIES) 
299	@rm -f pptpctrl$(EXEEXT)
300	$(LINK) $(pptpctrl_LDFLAGS) $(pptpctrl_OBJECTS) $(pptpctrl_LDADD) $(LIBS)
301pptpd$(EXEEXT): $(pptpd_OBJECTS) $(pptpd_DEPENDENCIES) 
302	@rm -f pptpd$(EXEEXT)
303	$(LINK) $(pptpd_LDFLAGS) $(pptpd_OBJECTS) $(pptpd_LDADD) $(LIBS)
304
305mostlyclean-compile:
306	-rm -f *.$(OBJEXT)
307
308distclean-compile:
309	-rm -f *.tab.c
310
311.c.o:
312	$(COMPILE) -c $<
313
314.c.obj:
315	$(COMPILE) -c `$(CYGPATH_W) '$<'`
316uninstall-info-am:
317install-man5: $(man5_MANS) $(man_MANS)
318	@$(NORMAL_INSTALL)
319	test -z "$(man5dir)" || $(mkdir_p) "$(DESTDIR)$(man5dir)"
320	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
321	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
322	for i in $$l2; do \
323	  case "$$i" in \
324	    *.5*) list="$$list $$i" ;; \
325	  esac; \
326	done; \
327	for i in $$list; do \
328	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
329	  else file=$$i; fi; \
330	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
331	  case "$$ext" in \
332	    5*) ;; \
333	    *) ext='5' ;; \
334	  esac; \
335	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
336	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
337	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
338	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
339	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst"; \
340	done
341uninstall-man5:
342	@$(NORMAL_UNINSTALL)
343	@list='$(man5_MANS) $(dist_man5_MANS) $(nodist_man5_MANS)'; \
344	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
345	for i in $$l2; do \
346	  case "$$i" in \
347	    *.5*) list="$$list $$i" ;; \
348	  esac; \
349	done; \
350	for i in $$list; do \
351	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
352	  case "$$ext" in \
353	    5*) ;; \
354	    *) ext='5' ;; \
355	  esac; \
356	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
357	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
358	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
359	  echo " rm -f '$(DESTDIR)$(man5dir)/$$inst'"; \
360	  rm -f "$(DESTDIR)$(man5dir)/$$inst"; \
361	done
362install-man8: $(man8_MANS) $(man_MANS)
363	@$(NORMAL_INSTALL)
364	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
365	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
366	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
367	for i in $$l2; do \
368	  case "$$i" in \
369	    *.8*) list="$$list $$i" ;; \
370	  esac; \
371	done; \
372	for i in $$list; do \
373	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
374	  else file=$$i; fi; \
375	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
376	  case "$$ext" in \
377	    8*) ;; \
378	    *) ext='8' ;; \
379	  esac; \
380	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
381	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
382	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
383	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
384	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
385	done
386uninstall-man8:
387	@$(NORMAL_UNINSTALL)
388	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
389	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
390	for i in $$l2; do \
391	  case "$$i" in \
392	    *.8*) list="$$list $$i" ;; \
393	  esac; \
394	done; \
395	for i in $$list; do \
396	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
397	  case "$$ext" in \
398	    8*) ;; \
399	    *) ext='8' ;; \
400	  esac; \
401	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
402	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
403	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
404	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
405	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
406	done
407
408ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
409	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
410	unique=`for i in $$list; do \
411	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
412	  done | \
413	  $(AWK) '    { files[$$0] = 1; } \
414	       END { for (i in files) print i; }'`; \
415	mkid -fID $$unique
416tags: TAGS
417
418TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
419		$(TAGS_FILES) $(LISP)
420	tags=; \
421	here=`pwd`; \
422	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
423	unique=`for i in $$list; do \
424	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
425	  done | \
426	  $(AWK) '    { files[$$0] = 1; } \
427	       END { for (i in files) print i; }'`; \
428	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
429	  test -n "$$unique" || unique=$$empty_fix; \
430	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
431	    $$tags $$unique; \
432	fi
433ctags: CTAGS
434CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
435		$(TAGS_FILES) $(LISP)
436	tags=; \
437	here=`pwd`; \
438	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
439	unique=`for i in $$list; do \
440	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
441	  done | \
442	  $(AWK) '    { files[$$0] = 1; } \
443	       END { for (i in files) print i; }'`; \
444	test -z "$(CTAGS_ARGS)$$tags$$unique" \
445	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
446	     $$tags $$unique
447
448GTAGS:
449	here=`$(am__cd) $(top_builddir) && pwd` \
450	  && cd $(top_srcdir) \
451	  && gtags -i $(GTAGS_ARGS) $$here
452
453distclean-tags:
454	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
455
456distdir: $(DISTFILES)
457	$(am__remove_distdir)
458	mkdir $(distdir)
459	$(mkdir_p) $(distdir)/debian $(distdir)/debian/po $(distdir)/plugins $(distdir)/samples $(distdir)/tools
460	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
461	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
462	list='$(DISTFILES)'; for file in $$list; do \
463	  case $$file in \
464	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
465	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
466	  esac; \
467	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
468	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
469	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
470	    dir="/$$dir"; \
471	    $(mkdir_p) "$(distdir)$$dir"; \
472	  else \
473	    dir=''; \
474	  fi; \
475	  if test -d $$d/$$file; then \
476	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
477	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
478	    fi; \
479	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
480	  else \
481	    test -f $(distdir)/$$file \
482	    || cp -p $$d/$$file $(distdir)/$$file \
483	    || exit 1; \
484	  fi; \
485	done
486	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
487	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
488	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
489	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
490	|| chmod -R a+r $(distdir)
491dist-gzip: distdir
492	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
493	$(am__remove_distdir)
494
495dist-bzip2: distdir
496	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
497	$(am__remove_distdir)
498
499dist-tarZ: distdir
500	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
501	$(am__remove_distdir)
502
503dist-shar: distdir
504	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
505	$(am__remove_distdir)
506
507dist-zip: distdir
508	-rm -f $(distdir).zip
509	zip -rq $(distdir).zip $(distdir)
510	$(am__remove_distdir)
511
512dist dist-all: distdir
513	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
514	$(am__remove_distdir)
515
516# This target untars the dist file and tries a VPATH configuration.  Then
517# it guarantees that the distribution is self-contained by making another
518# tarfile.
519distcheck: dist
520	case '$(DIST_ARCHIVES)' in \
521	*.tar.gz*) \
522	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
523	*.tar.bz2*) \
524	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
525	*.tar.Z*) \
526	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
527	*.shar.gz*) \
528	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
529	*.zip*) \
530	  unzip $(distdir).zip ;;\
531	esac
532	chmod -R a-w $(distdir); chmod a+w $(distdir)
533	mkdir $(distdir)/_build
534	mkdir $(distdir)/_inst
535	chmod a-w $(distdir)
536	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
537	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
538	  && cd $(distdir)/_build \
539	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
540	    $(DISTCHECK_CONFIGURE_FLAGS) \
541	  && $(MAKE) $(AM_MAKEFLAGS) \
542	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
543	  && $(MAKE) $(AM_MAKEFLAGS) check \
544	  && $(MAKE) $(AM_MAKEFLAGS) install \
545	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
546	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
547	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
548	        distuninstallcheck \
549	  && chmod -R a-w "$$dc_install_base" \
550	  && ({ \
551	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
552	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
553	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
554	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
555	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
556	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
557	  && rm -rf "$$dc_destdir" \
558	  && $(MAKE) $(AM_MAKEFLAGS) dist \
559	  && rm -rf $(DIST_ARCHIVES) \
560	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
561	$(am__remove_distdir)
562	@(echo "$(distdir) archives ready for distribution: "; \
563	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
564	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
565distuninstallcheck:
566	@cd $(distuninstallcheck_dir) \
567	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
568	   || { echo "ERROR: files left after uninstall:" ; \
569	        if test -n "$(DESTDIR)"; then \
570	          echo "  (check DESTDIR support)"; \
571	        fi ; \
572	        $(distuninstallcheck_listfiles) ; \
573	        exit 1; } >&2
574distcleancheck: distclean
575	@if test '$(srcdir)' = . ; then \
576	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
577	  exit 1 ; \
578	fi
579	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
580	  || { echo "ERROR: files left in build directory after distclean:" ; \
581	       $(distcleancheck_listfiles) ; \
582	       exit 1; } >&2
583check-am: all-am
584check: check-am
585all-am: Makefile $(PROGRAMS) $(MANS) config.h all-local
586installdirs:
587	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)"; do \
588	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
589	done
590install: install-am
591install-exec: install-exec-am
592install-data: install-data-am
593uninstall: uninstall-am
594
595install-am: all-am
596	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
597
598installcheck: installcheck-am
599install-strip:
600	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
601	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
602	  `test -z '$(STRIP)' || \
603	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
604mostlyclean-generic:
605
606clean-generic:
607
608distclean-generic:
609	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
610
611maintainer-clean-generic:
612	@echo "This command is intended for maintainers to use"
613	@echo "it deletes files that may require special tools to rebuild."
614clean: clean-am
615
616clean-am: clean-generic clean-local clean-sbinPROGRAMS mostlyclean-am
617
618distclean: distclean-am
619	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
620	-rm -f Makefile
621distclean-am: clean-am distclean-compile distclean-generic \
622	distclean-hdr distclean-tags
623
624dvi: dvi-am
625
626dvi-am:
627
628html: html-am
629
630info: info-am
631
632info-am:
633
634install-data-am: install-man
635
636install-exec-am: install-exec-local install-sbinPROGRAMS
637
638install-info: install-info-am
639
640install-man: install-man5 install-man8
641
642installcheck-am:
643
644maintainer-clean: maintainer-clean-am
645	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
646	-rm -rf $(top_srcdir)/autom4te.cache
647	-rm -f Makefile
648maintainer-clean-am: distclean-am maintainer-clean-generic
649
650mostlyclean: mostlyclean-am
651
652mostlyclean-am: mostlyclean-compile mostlyclean-generic
653
654pdf: pdf-am
655
656pdf-am:
657
658ps: ps-am
659
660ps-am:
661
662uninstall-am: uninstall-info-am uninstall-local uninstall-man \
663	uninstall-sbinPROGRAMS
664
665uninstall-man: uninstall-man5 uninstall-man8
666
667.PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
668	clean clean-generic clean-local clean-sbinPROGRAMS ctags dist \
669	dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
670	distcheck distclean distclean-compile distclean-generic \
671	distclean-hdr distclean-tags distcleancheck distdir \
672	distuninstallcheck dvi dvi-am html html-am info info-am \
673	install install-am install-data install-data-am install-exec \
674	install-exec-am install-exec-local install-info \
675	install-info-am install-man install-man5 install-man8 \
676	install-sbinPROGRAMS install-strip installcheck \
677	installcheck-am installdirs maintainer-clean \
678	maintainer-clean-generic mostlyclean mostlyclean-compile \
679	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
680	uninstall-am uninstall-info-am uninstall-local uninstall-man \
681	uninstall-man5 uninstall-man8 uninstall-sbinPROGRAMS
682
683
684@SET_MAKE@
685
686export LIBDIR=$(libdir)/pptpd
687
688all-local:
689	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d all; done
690
691install-exec-local:
692	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) install; done
693
694clean-local:
695	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d clean; done
696
697uninstall-local:
698	for d in $(subdirs); do $(MAKE) $(MFLAGS) -C $$d prefix=$(prefix) DESTDIR=$(DESTDIR) uninstall; done
699
700package: deb rpm
701
702deb:
703	fakeroot dpkg-buildpackage -us -uc
704
705rpm:
706	fakeroot rpmbuild -ta pptpd-$(VERSION).tar.gz
707
708bcrelay.o: bcrelay.c config.h defaults.h our_syslog.h our_getopt.h
709
710compat.o: compat.c config.h compat.h our_syslog.h inststr.h
711
712configfile.o: configfile.c config.h defaults.h configfile.h our_syslog.h
713
714ctrlpacket.o: ctrlpacket.c config.h our_syslog.h pptpdefs.h pptpctrl.h \
715  ctrlpacket.h compat.h
716
717getopt.o: getopt.c config.h our_getopt.h
718
719getopt1.o: getopt1.c config.h our_getopt.h
720
721inststr.o: inststr.c config.h inststr.h compat.h
722
723ppphdlc.o: ppphdlc.c config.h ppphdlc.h
724
725pptpctrl.o: pptpctrl.c config.h our_syslog.h compat.h pptpctrl.h \
726  pptpgre.h pptpdefs.h ctrlpacket.h defaults.h
727
728pptpd.o: pptpd.c config.h our_syslog.h our_getopt.h configfile.h \
729  defaults.h compat.h pptpmanager.h
730
731pptpgre.o: pptpgre.c config.h our_syslog.h ppphdlc.h pptpgre.h pptpdefs.h \
732  pptpctrl.h defaults.h pqueue.h compat.h
733
734pptpmanager.o: pptpmanager.c config.h our_syslog.h configfile.h \
735  defaults.h pptpctrl.h pptpdefs.h pptpmanager.h compat.h
736
737pqueue.o: pqueue.c pqueue.h
738# Tell versions [3.59,3.63) of GNU make to not export all variables.
739# Otherwise a system limit (for SysV at least) may be exceeded.
740.NOEXPORT:
741